
Redmine - Feature #26409

Show assignee on gantt

2017-07-11 02:06 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Needless to say, assignee is important information to manage projects. It would be great if assignee is displayed on gantt.

I have found some similar requests on the forum:

Can I display the assignee name on Gantt chart? 

Show assignee on chart in better gantt plugin

Replace issue status bij issue assignee in gantt chart

Related issues:

Related to Redmine - Feature #27672: Show selected columns in gantt chart Closed

Blocked by Redmine - Feature #20481: Gantt: right and left resizable panel Closed

History

#1 - 2017-07-16 18:38 - Yuuki NARA

+1

I think so, too

#2 - 2017-07-28 03:14 - Mizuki ISHIKAWA

- File show_assignee_on_gantt.patch added

- File assignee_on_gantt.png added

I wrote a patch to implement this feature.

You can switch the display like Progress line.

This patch is made on the premise that a patch of Feature #20481 (Gantt: left and right resizable panels) is applied.

Before applying this patch, apply the patch of Feature #20481 .

 assignee_on_gantt.png 

#3 - 2017-07-28 07:53 - Go MAEDA

- Blocked by Feature #20481: Gantt: right and left resizable panel added

#4 - 2017-08-01 04:08 - Go MAEDA

- Target version set to 4.1.0

I think this is a must-have feature for most gantt users. Setting target version to 4.1.0.

#5 - 2017-08-14 22:13 - Marius BĂLTEANU

I've tested the patch and I've two observations:

1. the patch doesn't apply cleanly on the current trunk (r16948).

2. it'll be nice to have also gravatar shown for the assignee.

#6 - 2017-08-15 02:34 - Go MAEDA

Marius BALTEANU wrote:

1. the patch doesn't apply cleanly on the current trunk (r16948).
 The patch depends on another patch #20481. Could you try again after applying it?

2. it'll be nice to have also gravatar shown for the assignee.

 I agree with you. Gravatar icon should be shown for consistency.

#7 - 2017-08-15 08:06 - Marius BĂLTEANU

Go MAEDA wrote:

Marius BALTEANU wrote:

1. the patch doesn't apply cleanly on the current trunk (r16948).

 The patch depends on another patch #20481. Could you try again after applying it?

 Sorry for the mistake, it seems that my local repository didn't have the latest changes from the trunk. Now the second patch applies cleanly.

#8 - 2017-08-17 10:28 - Mizuki ISHIKAWA

- File show_assignee_on_gantt.patch_v2.patch added

Marius BALTEANU wrote:

…

2. it'll be nice to have also gravatar shown for the assignee.

 Thank you for your advice.

I changed patch as follows:

--- a/lib/redmine/helpers/gantt.rb

+++ b/lib/redmine/helpers/gantt.rb

@@ -336,7 +336,10 @@ module Redmine

       def assigned_to_name(issue, options)

         if issue.is_a?(Issue) && options[:format] == :html && issue.assigned_to.present?

           style = "position: absolute;top: #{options[:top]}px;" 

-          assigned_to_name = view.content_tag(:div, view.content_tag(:span, issue.try(:assigned_to).try(:name

)), :style => style, :class => 'issue-assigned-name')

+          content = view.avatar(issue.assigned_to,

+                                 :class => 'gravatar icon-gravatar',

+                                 :size => 10) + view.link_to_user(issue.assigned_to)

+          assigned_to_name = view.content_tag(:div, content.html_safe, :style => style, :class => 'issue-assi

gned-name')

           @assigned_to_names << assigned_to_name

           assigned_to_name

         end

#9 - 2017-11-27 03:26 - Mizuki ISHIKAWA

- File show_assignee_on_gantt_v3.patch added

I fixed the patch.

Compatible the latest trunk.

Add styles to gravatar like #26410

#10 - 2017-11-28 05:40 - Mischa The Evil

I don't want to ruin anyone's party, but I'd like to drop some thoughts (concerns) I have about this feature and the proposed, patched implementation:

what's the actual significance of the assignee over other attributes (priority for example, which is in my opinion evenly important as assignee in

gantt context)? From this follows that depending on the use, one might have need for every single attribute and/or even custom values, which

simply cannot all be implemented

for the current need to see an issue's assignee, we already have it in the pop-up by hovering over the item bar...

I think that the use of the option checkboxes like in the patch feels weird as the other two checkboxes switch (JS) functionality (lines) onto the

gantt chart bars, while this checkbox switches functionality regarding gantt chart bar attribute columns
I'd like to have some more feedback on this.

#11 - 2017-11-29 06:23 - Mizuki ISHIKAWA

Mischa The Evil wrote:

what's the actual significance of the assignee over other attributes (priority for example, which is in my opinion evenly important as assignee

in gantt context)? From this follows that depending on the use, one might have need for every single attribute and/or even custom values,

which simply cannot all be implemented

 Thank you for your feedback.

As you say, there are other necessary information besides the Assignee.

I think that this issue can be closed if the #27672 feature is realized.

What do you think?

I am writing a patch that realizes the feature of #27672 based on the patch of this issue now.

#12 - 2017-12-28 16:55 - Alessandro Zucchi

Move first in 4.0 ???

Gantt without assignee is no a gantt

Regards

Alessandro

#13 - 2018-02-24 00:57 - Mischa The Evil

- Related to Feature #27672: Show selected columns in gantt chart added

#14 - 2019-03-14 14:37 - Go MAEDA

- Target version deleted (4.1.0)

#15 - 2019-05-16 04:51 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing this issue because #27672 includes this feature. I hope to commit that patch soon.

Files

show_assignee_on_gantt.patch 14 KB 2017-07-28 Mizuki ISHIKAWA

assignee_on_gantt.png 248 KB 2017-07-28 Mizuki ISHIKAWA

show_assignee_on_gantt.patch_v2.patch 14.2 KB 2017-08-17 Mizuki ISHIKAWA

show_assignee_on_gantt_v3.patch 14.4 KB 2017-11-27 Mizuki ISHIKAWA
